> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update External Bank Account

> Given an external bank account ID, update its information.



## OpenAPI

````yaml PATCH /partner/clover/customers/external_bank_account/{external_bank_account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/customers/external_bank_account/{external_bank_account_id}:
    patch:
      tags:
        - Clover
      summary: Patch External Bank Account
      description: Given an external bank account ID, update its information.
      operationId: >-
        patch_external_bank_account_partner_clover_customers_external_bank_account__external_bank_account_id__patch
      parameters:
        - name: external_bank_account_id
          in: path
          required: true
          schema:
            type: string
            title: External Bank Account Id
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateExternalBankAccountRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseSchema_ClientExternalAccountResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateExternalBankAccountRequest:
      properties:
        external_bank_account:
          $ref: '#/components/schemas/CustomerExternalBankAccountOptional'
      type: object
      required:
        - external_bank_account
      title: UpdateExternalBankAccountRequest
      description: Schema to deserialize the customer bank account request.
    ResponseSchema_ClientExternalAccountResponse_:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - $ref: '#/components/schemas/ClientExternalAccountResponse'
            - type: 'null'
      type: object
      required:
        - message
      title: ResponseSchema[ClientExternalAccountResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CustomerExternalBankAccountOptional:
      properties:
        bank_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Bank Name
          description: Name of the bank.
        name_on_account:
          anyOf:
            - type: string
            - type: 'null'
          title: Name On Account
          description: Name on the bank account.
        address_on_account:
          anyOf:
            - $ref: '#/components/schemas/CustomerAddressOptional'
            - type: 'null'
          description: Address associated with the account.
        routing_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Routing Number
          description: Bank routing number.
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: Bank account number.
        type:
          anyOf:
            - $ref: '#/components/schemas/ExternalBankAccountTypeEnum'
            - type: 'null'
          description: Type of bank account.
      type: object
      title: CustomerExternalBankAccountOptional
      description: Represent a Customer External Bank Account.
    ClientExternalAccountResponse:
      properties:
        external_account_id:
          type: string
          title: External Account Id
          description: Account identifier
          examples:
            - '1234567'
        external_account_number:
          type: string
          title: External Account Number
          description: Account number
          examples:
            - '1234567'
        external_account_title:
          type: string
          title: External Account Title
          description: Account title
          examples:
            - Main Account
        external_institution_aba:
          type: string
          title: External Institution Aba
          description: Institution ABA
          examples:
            - '123456789'
        external_institution_name:
          type: string
          title: External Institution Name
          description: Institution name
          examples:
            - Bank of America
      type: object
      required:
        - external_account_id
        - external_account_number
        - external_account_title
        - external_institution_aba
        - external_institution_name
      title: ClientExternalAccountResponse
      description: Schema to serialize the client external account response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CustomerAddressOptional:
      properties:
        street_1:
          anyOf:
            - type: string
            - type: 'null'
          title: Street 1
          description: Street address line 1.
        street_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Street 2
          description: Street address line 2.
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: City name.
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: State or region.
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip Code
          description: ZIP or postal code.
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: Country as specified using ISO 3166-1 alpha-2
      type: object
      title: CustomerAddressOptional
      description: Represent a Customer Address.
    ExternalBankAccountTypeEnum:
      type: string
      enum:
        - checking
        - savings
      title: ExternalBankAccountTypeEnum
      description: Enum for external bank account types.

````